Skip to main content
`Ctrl`+`K`

# fnpickle

astropy.io.misc.fnpickle(object, fileorname, protocol=None, append=False)

  Deprecated since version 6.0: Use pickle from standard library, if you must

  Pickle an object to a specified file.

  Parameters:
    object

      The python object to pickle.

    fileorname `python:str` or python:file-like object

      The filename or file into which the `object` should be pickled. If a file object, it should have been opened in binary mode.

    protocol `python:int` or `python:None`

      Pickle protocol to use - see the `pickle` module for details on these options. If None, the most recent protocol will be used.

    append bool

      If True, the object is appended to the end of the file, otherwise the file will be overwritten (if a file object is given instead of a file name, this has no effect).